.\"	$NetBSD: daily.conf.5,v 1.23 2008/08/30 10:53:22 bouyer Exp $
.\"
.\" Copyright (c) 1996 Matthew R. Green
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd August 30, 2008
.Dt DAILY.CONF 5
.Os
.Sh NAME
.Nm daily.conf
.Nd daily maintenance configuration file
.Sh DESCRIPTION
The
.Nm
file specifies which of the standard
.Pa /etc/daily
services are performed.
The
.Pa /etc/daily
script is run, by default, every night on a
.Nx
system.
.Pp
The variables described below can be set to
.Dq YES
or
.Dq NO
in the
.Pa /etc/daily.conf
file.
Most default to
.Dq YES ,
but not all.
Check the
.Pa /etc/defaults/daily.conf
file if you are in doubt.
(Note that you should never edit
.Pa /etc/defaults/daily.conf
directly, as it is often replaced during system upgrades.)
.Bl -tag -width purge_accounting
.It Sy find_core
This runs
.Xr find 1
over the entire local filesystem, looking for core files.
.It Sy run_msgs
This runs
.Xr msgs 1
with the
.Fl c
argument.
.It Sy expire_news
This runs the
.Pa /etc/expire.news
script.
.It Sy purge_accounting
This ages accounting files in
.Pa /var/account .
.It Sy run_calendar
This runs
.Xr calendar 1
with the
.Fl a
argument.
.It Sy check_disks
This uses the
.Xr df 1
and
.Xr dump 8
to give disk status, and also reports failed
.Xr raid 4
components.
.It Sy show_remote_fs
In check_disks, show remote file systems, which are not reported on by
default.
.It Sy check_mailq
This runs
.Xr mailq 1 .
.It Sy check_network
This runs
.Xr netstat 1
with the
.Fl i
argument, and also checks the
.Xr rwhod 8
database, and runs
.Xr ruptime 1
if there are hosts in
.Pa /var/rwho .
.It Sy full_netstat
By default,
.Sy check_network
outputs a summarized version of the
.Xr netstat 1
report.
If a full version of the output run with the
.Fl inv
options is desired, set this variable.
.It Sy run_fsck
This runs
.Xr fsck 8
with the
.Fl n
option.
.It Sy run_rdist
This runs
.Xr rdist 1
with
.Pa /etc/Distfile .
.It Sy run_security
This runs the
.Pa /etc/security
script looking for possible security problems with the system.
.It Sy run_skeyaudit
Runs the
.Xr skeyaudit 1
program to check the S/Key database and informs users of S/Keys that
are about to expire.
.El
.Pp
The variables described below can be set to modify the tests:
.Bl -tag -width check_network
.It Sy find_core_ignore_fstypes
Lists filesystem types to ignore during the
.Sy find_core
phase.
Prefixing the type with a
.Sq \&!
inverts the match.
For example,
.Ql procfs !local
will ignore
.Ql procfs
type filesystems and filesystems that are not
.Ql local .
.It Sy run_fsck_flags
Extra options to be passed to
.Xr fsck 8
if
.Sy run_fsck
is enabled.
.It Sy send_empty_security
If set, the report generated by the
.Sy run_security
phase will always be sent, even if it is empty.
.El
.Sh FILES
.Bl -tag -width /etc/defaults/daily.conf -compact
.It Pa /etc/daily
daily maintenance script
.It Pa /etc/daily.conf
daily maintenance configuration
.It Pa /etc/defaults/daily.conf
default settings, overridden by
.Pa /etc/daily.conf
.It Pa /etc/daily.local
local site additions to
.Pa /etc/daily
.El
.Sh SEE ALSO
.Xr monthly.conf 5 ,
.Xr security.conf 5 ,
.Xr weekly.conf 5
.Sh HISTORY
The
.Nm
file appeared in
.Nx 1.3 .
